# Generated by Django 3.0.8 on 2020-08-09 15:44

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('project', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Step',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('state', models.CharField(choices=[('t', 'task'), ('i', 'in_Progress'), ('c', 'Complete')], default='i', max_length=1, validators=[django.core.validators.MinLengthValidator(1), django.core.validators.MaxLengthValidator(1)])),
                ('step', models.CharField(choices=[('1', 'Profile'), ('2', 'Application'), ('3', 'Project'), ('4', 'Team'), ('5', 'Preview'), ('6', 'Result')], default='1', max_length=1, validators=[django.core.validators.MinLengthValidator(1), django.core.validators.MaxLengthValidator(1)])),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('application', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='steps', to='project.Application', verbose_name='Application')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='steps', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Step',
                'verbose_name_plural': 'Steps',
                'ordering': ('step',),
            },
        ),
    ]
